wiki:BluePrint/GIS/Core

Blueprint for core GIS

Remove dependency on ExtJS

Why?

  • very large
  • not maintained

What needs doing?

  • Currently we make use of GeoExt a fair bit:
    • LayerTree
    • LayerLegend
    • Toolbar

Migrate from OL2

OpenLayers 2 has been great, but time moves on.

Leaflet? (This seems to be the current trend for all apps)

  • Is it mature enough yet?
    • Does it support all the layer types we need?
    • If there are gaps, can we easily plug those?
  • OSM PoI Layers need this?

OpenLayers 3?

  • This is close enough to release to start serious evaluation
Last modified 8 years ago Last modified on 11/27/13 18:23:17
Note: See TracWiki for help on using the wiki.